using System.Windows;

namespace FSI.BT.Tools.Global.Commands
{
    /// <summary>
    /// Shows the main window.
    /// </summary>
    public class ExitCommand : CommandBase<ExitCommand>
    {
        public override void Execute(object parameter)
        {
            Vars.Log.Info("Anwendung wurde beendet!");
            Application.Current.Shutdown();
        }

        public override bool CanExecute(object parameter)
        {
            return true;
        }
    }
}